# AnnouncePluginExtension

API Documentation: | `AnnouncePluginExtension`

The extension used by the AnnouncePlugin.

### Properties

Property | Description
`local` | Returns an `Announcer` that sends announcements to the local desktop, if a notification mechanism is available.
`password` | The password to use for announcements.
`username` | The username to use for announcements.

### Methods

Method | Description
`announce(msg, type)` | Sends an announcement of the given type.

### Script blocks

No script blocks

### Property details

#### `Announcer` `local`

Returns an `Announcer` that sends announcements to the local desktop, if a notification mechanism is available.

Default with `announce` plugin:
  -

#### `String` `password`

The password to use for announcements.

Default with `announce` plugin:
  `null`

#### `String` `username`

The username to use for announcements.

Default with `announce` plugin:
  `null`

### Method details

#### `void` `announce`(`String` msg, `String` type)

Sends an announcement of the given type.